
% Example script to convert bee data to format needed for SLDS learning

D = load('bee1.mat');

% Number of time steps
T = length(D.x);

% Discrete behavior switch states
Z = zeros(1,T);
for ii = 1:T
  if isequal(D.label{ii},'waggle')
    Z(ii) = 1;
  elseif isequal(D.label{ii},'turn_left')
    Z(ii) = 2;
  elseif isequal(D.label{ii},'turn_right')
    Z(ii) = 3;
  end
end

% Continuous observations: position and orientation
Y = zeros(4,T);
Y(1,:) = D.x';
Y(2,:) = D.y';
Y(3,:) = cos(D.theta)';
Y(4,:) = sin(D.theta)';

% Reconstruct original angles, if desired
theta = atan2(Y(4,:),Y(3,:));

